// File:UDPListener.java
// UDP Server Java Example

import java.io.*;
import java.net.*;
import java.util.*;
import sun.net.*;

class UDPListener {

    static final int bufSize=50;

    public static void main(String args[]) 
    {   int port=8007;
	// Ready; let it begin being a server
	try {
	    // UDP Socket declaration
	    // DatagramSocket s = new DatagramSocket();  // java.net.*
	    DatagramSocket s = new DatagramSocket(port);  // java.net.*
	    System.out.print("UDPListener Server listening on port:");
	    System.out.println(s.getLocalPort());
	    byte[] buf=new byte[50];
	    DatagramPacket incoming = new DatagramPacket(buf, bufSize);
	    while (true) {
		// Get packet from a client
		System.out.println("Waiting for incoming packet");
	    	s.receive(incoming);
	    	System.out.print("Received from inet address: "
			     + incoming.getAddress().toString());
	    	System.out.print(":");
	    	System.out.println(incoming.getPort());
		// Return data to the client
		DatagramPacket outgoing = new DatagramPacket(
		  	buf,bufSize,incoming.getAddress(), incoming.getPort());
		s.send(outgoing);
	    }
		
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}


